# Class MethodInfo

java.lang.Object
javax.el.MethodInfo

public class MethodInfo extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodInfo(String name, Class<?> returnType, Class<?>[] paramTypes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `Class<?>[]`
  `getParamTypes()`
  `Class<?>`
  `getReturnType()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodInfo

    public MethodInfo(String name, Class<?> returnType, Class<?>[] paramTypes)

- ## Method Details

  - ### getName

    public String getName()

  - ### getReturnType

    public Class<?> getReturnType()

  - ### getParamTypes

    public Class<?>[] getParamTypes()